body {
	min-width: 768px;
	min-height: 0;
	padding: 0;
}

.content {
	width: 100%;
	height: calc(100vh - 24px);
	display: flex;
	flex-direction: column;

	font-size: 14px;
}

.search {
	padding: 8px 12px;
	display: flex;
	align-items: center;

	background-color: #000;
}
.textbox {
	all: unset;
	flex-grow: 1;
	padding: 8px 12px;

	background-color: #2d2d30;
	border-radius: 4px;
	box-shadow: inset 0 0 4px #0008;
}
.textbox:focus {
	background-color: #404044;
}
.submit {
	all: unset;
	margin-right: 4px;
	padding: 0 16px;
	align-self: stretch;

	color: #fff;
	font-weight: bold;
	cursor: pointer;
}
.submit:hover {
	text-decoration: underline;
}
.nsfw {
	display: flex;
	align-items: center;
}
.checkbox {
	all: unset;
	width: 14px;
	height: 14px;
	flex-shrink: 0;
	display: inline-block;

	border-width: 2px;
	border-style: solid;
	border-color: #404044;
	border-radius: 4px;
}
.checkbox:hover {
	background-color: #2d2d30;
}
.checkbox:checked {
	background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" height="24" viewBox="0 -960 960 960" width="24" fill="%23fff"><path d="M382-240 154-468l57-57 171 171 367-367 57 57z"/></svg>');;
	background-position: center;
	background-color: #0044bb;
	border-color: #0044bb;
}
.checkbox:checked:hover {
	background-color: #0055cc;
	border-color: #0055cc;
}
.label {
	padding-left: 8px;
}

.navigation {
	padding-bottom: 8px;
	display: flex;

	background-color: #000;
}
.navigation > * {
	flex-shrink: 0;
}
.tag-header {
	width: 288px;
	padding: 0 12px;
	box-sizing: border-box;
	flex-shrink: 0;

	font-weight: bold;
}
.total {
	margin-right: 24px;
	flex-grow: 1;
}
.pages {
	padding-right: 8px;
	display: flex;
}
.pages > * {
	padding: 0 4px;
}
.squish {
	letter-spacing: -3px;
}

.browser {
	overflow: hidden;
	flex-grow: 1;
	display: flex;
	align-items: stretch;
}

.sidebar {
	width: 288px;
	padding: 0 12px 8px 24px;
	overflow: auto;
	box-sizing: border-box;
	flex-shrink: 0;
	display: flex;
	flex-direction: column;
	gap: 4px;

	word-break: break-word;
	background-color: #000;
}
.tag {
	display: flex;
	gap: 4px;
}
.minus {
	flex-shrink: 0;
}
.count {
	opacity: 0.8;
}

.results {
	flex-grow: 1;
	overflow: auto;
	display: flex;
	align-content: flex-start;
	justify-content: center;
	flex-wrap: wrap;
}
.result {
	width: 160px;
	margin: 8px;
	display: flex;
	flex-direction: column;
	align-items: center;

	text-align: center;
}
.thumbnail {
	height: 128px;
	margin-bottom: 8px;
	align-self: stretch;

	background-size: contain;
	background-repeat: no-repeat;
	background-position: center;
}
.title {
	word-break: break-word;
}